/**************************************************************************/
/*                                                                        */
/*                                 Sources                                */
/*                                from  the                               */
/*                           XSC SOFTWARE PACKAGE                         */
/*                                                                        */
/*                Copyright (c) 1997 University of Karlsruhe              */
/*                     Institute for Appl. Mathematics                    */
/*                                                                        */
/* This program is free software for non-commercial use. For details, see */
/* the file LICENSE.XSC, distributed with this software package.          */
/*                                                                        */
/* This program is distributed WITHOUT ANY WARRANTY. For details, see the */
/* file LICENSE.XSC, distributed with this software package.              */
/*                                                                        */
/**************************************************************************/

/* RCS $Id: t_ctoe.c,v 1.2 1997/09/25 18:09:35 ae59 Exp $ */
/*
$Log: t_ctoe.c,v $
 * Revision 1.2  1997/09/25  18:09:35  ae59
 * Copyright-message
 *
 * Revision 1.1  1994/01/27  13:25:09  ae59
 * Put under RCS control
 *
 */
/*      Date    : 1991-09-06                                    */
/*      1991-09-06 : reduce maximum line length                 */

#ifdef AIX
#include "/u/p88c/runtime/tbyte/t_defs.h"
#else
#include "t_defs.h"
#endif

/*--------------------------------------------------------------*
 | condition-code ==> exception-code                            |
 *--------------------------------------------------------------*/
#ifdef LINT_ARGS
int cond_to_exc(int condition)
#else
int cond_to_exc(condition)
int condition;
#endif /* LINT_ARGS */
{
   switch(condition) {
   case PUnorm:  return ExcPUnorm;
   case PNAN:    return ExcPNAN;
   case MUnorm:  return ExcMUnorm;
   case MNAN:    return ExcMNAN;
   case PNorm:   return ExcPNorm;
   case PInf:    return ExcPInf;
   case MNorm:   return ExcMNorm;
   case MInf:    return ExcMInf;
   case PZero:   return ExcPZero;
   case Empty1:  return ExcEmpty;
   case MZero:   return ExcMZero;
   case Empty2:  return ExcEmpty;
   case PDenorm: return ExcPDenorm;
   case MDenorm: return ExcMDenorm;
   default:      return ExcUnknown;
   }
} /* cond_to_exc() */
